from helium import *
from subprocess import run
from datetime import date

def password() -> str:
    return run(['rbw', 'get', 'distrokid.com'], capture_output=True).stdout.decode('utf-8').strip()

release_date = date.today()
tracks = [1, 2, 3, 4]

start_firefox('distrokid.com')
click('Accept')
click('Sign in')
write('ewen.lebihan7@gmail.com', into='Email')
write(password(), into='Password')
click('Sign in')
input()
click('Upload music')
click('YouTube Music')
select('Number of songs', '1 song (a single)' if len(tracks) == 1 else f'{len(tracks)} songs')
if release_date < date.today():
    click(S('.previouslyReleasedRow input[value="1"]'))
    select(S('#js-original-release-month'), f'{release_date:%B}')
    select(S('#js-original-release-day'), f'{release_date:%-d}')
    select(S('#js-original-release-year'), f'{release_date:%Y}')

write('https://instagram.com/ewenlbh', into='Instagram Profile Artist URL')

write(title, into=S('#albumTitleInput'))

select('Primary genre', 'Electronic')
select('Electronic subgenre', 'Eletronica')
select('Secondary genre', 'Eletronic')
select('Secondary Electronic subgenre', 'Minimal / Deep Tech')



for i, track in enumerate(tracks):
    no = i + 1

    write(track.name, into=S(f'.uploadFileTitle.track_{no}'))
    if track.featuring:
        click('Y
